astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Models And Fitting (`astropy.modeling`) »
- LinearLSQFitter

# LinearLSQFitter

class `astropy.modeling.fitting.``LinearLSQFitter`

  Bases: `astropy.modeling.fitting.Fitter`

  A class performing a linear least square fitting.

  Uses `numpy.linalg.lstsq` to do the fitting. Given a model and data, fits the model to the data and changes the model’s parameters. Keeps a dictionary of auxiliary fitting information.

  Parameters: | model : an instance of `ParametricModel`

  Raises:

  ModelLinearityError :

  > A nonlinear model is passed to a linear fitter

  Attributes Summary

  `supported_constraints` | list() -> new empty list

  Attributes Documentation

  `supported_constraints` = ['fixed']